// shader names come with color appended first
// and then t for transparent, l for lightmap
// m for moving one axis and v for vertical, d for double and x for crossing
// with numbers attached for values

// Line textures

textures/cyberspace/line_r
{
    qer_editorimage textures/cyberspace/line_r.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_g
{
    qer_editorimage textures/cyberspace/line_g.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_b
{
    qer_editorimage textures/cyberspace/line_b.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_r_t
{
    qer_editorimage textures/cyberspace/line_r.tga
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 0.5
    }
}

textures/cyberspace/line_g_t
{
    qer_editorimage textures/cyberspace/line_g.tga
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 0.5
    }
}

textures/cyberspace/line_b_t
{
    qer_editorimage textures/cyberspace/line_b.tga
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 0.5
    }
}

textures/cyberspace/line_r_l
{
    qer_editorimage textures/cyberspace/line_r.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_g_l
{
    qer_editorimage textures/cyberspace/line_g.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_b_l
{
    qer_editorimage textures/cyberspace/line_b.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_r_tl
{
    qer_editorimage textures/cyberspace/line_r.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_g_tl
{
    qer_editorimage textures/cyberspace/line_g.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_g.tga
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_b_tl
{
    qer_editorimage textures/cyberspace/line_b.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_b.tga
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_r_m
{
    qer_editorimage textures/cyberspace/line_r.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/line_g_m
{
    qer_editorimage textures/cyberspace/line_g.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/line_b_m
{
    qer_editorimage textures/cyberspace/line_b.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/line_r_mt
{
    qer_editorimage textures/cyberspace/line_r.tga
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/line_g_mt
{
    qer_editorimage textures/cyberspace/line_g.tga
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/line_b_mt
{
    qer_editorimage textures/cyberspace/line_b.tga
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/line_r_ml
{
    qer_editorimage textures/cyberspace/line_r.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_g_ml
{
    qer_editorimage textures/cyberspace/line_g.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_b_ml
{
    qer_editorimage textures/cyberspace/line_b.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_r_mlt
{
    qer_editorimage textures/cyberspace/line_r.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_g_mlt
{
    qer_editorimage textures/cyberspace/line_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_b_mlt
{
    qer_editorimage textures/cyberspace/line_b.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_r_d
{
    qer_editorimage textures/cyberspace/line_r.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
}

textures/cyberspace/line_g_d
{
    qer_editorimage textures/cyberspace/line_g.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
}

textures/cyberspace/line_b_d
{
    qer_editorimage textures/cyberspace/line_b.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
}

textures/cyberspace/line_r_dl
{
    qer_editorimage textures/cyberspace/line_r.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_g_dl
{
    qer_editorimage textures/cyberspace/line_g.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }    
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }    
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }    
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_b_dl
{
    qer_editorimage textures/cyberspace/line_b.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_r_dt
{
    qer_editorimage textures/cyberspace/line_r.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
}

textures/cyberspace/line_g_dt
{
    qer_editorimage textures/cyberspace/line_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
}

textures/cyberspace/line_b_dt
{
    qer_editorimage textures/cyberspace/line_b.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
}

textures/cyberspace/line_r_dlt
{
    qer_editorimage textures/cyberspace/line_r.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_g_dlt
{
    qer_editorimage textures/cyberspace/line_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/line_b_dlt
{
    qer_editorimage textures/cyberspace/line_b.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/line_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

// Grid textures

textures/cyberspace/grid_r
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_r.tga
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/cyberspace/grid_r.tga
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_g
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_g.tga
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/cyberspace/grid_g.tga
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_b
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/cyberspace/grid_b.tga
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_r_l
{
    qer_editorimage textures/cyberspace/grid_r.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_r.tga
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/cyberspace/line_r.tga
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        blendFunc GL_ONE GL_ONE
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_g_l
{
    qer_editorimage textures/cyberspace/grid_g.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/line_g.tga
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/cyberspace/line_g.tga
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        blendFunc GL_ONE GL_ONE
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_b_l
{
    qer_editorimage textures/cyberspace/grid_b.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/cyberspace/grid_b.tga
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        blendFunc GL_ONE GL_ONE
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_r_t
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm trans
    surfaceparm nolightmap
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
    }
}

textures/cyberspace/grid_g_t
{
    qer_editorimage textures/cyberspace/grid_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
    }
}

textures/cyberspace/grid_b_t
{
    qer_editorimage textures/cyberspace/grid_b.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
    }
}

textures/cyberspace/grid_r_tl
{
    qer_editorimage textures/cyberspace/grid_r.tga
    qer_trans 0.25
    qer_trans 0.25
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_g_tl
{
    qer_editorimage textures/cyberspace/grid_g.tga
    qer_trans 0.25
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_b_tl
{
    qer_editorimage textures/cyberspace/grid_b.tga
    qer_trans 0.25
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_r_m
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/grid_g_m
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/grid_b_m
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/grid_r_mt
{
    qer_editorimage textures/cyberspace/grid_r.tga
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/grid_g_mt
{
    qer_editorimage textures/cyberspace/grid_g.tga
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/grid_b_mt
{
    qer_editorimage textures/cyberspace/grid_b.tga
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 5.0
        tcmod scroll 0 1.0
    }
}

textures/cyberspace/grid_r_ml
{
    qer_editorimage textures/cyberspace/grid_r.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_g_ml
{
    qer_editorimage textures/cyberspace/grid_g.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_b_ml
{
    qer_editorimage textures/cyberspace/grid_b.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_r_mtl
{
    qer_editorimage textures/cyberspace/grid_r.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 5.0
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_g_mtl
{
    qer_editorimage textures/cyberspace/grid_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_b_mtl
{
    qer_editorimage textures/cyberspace/grid_b.tga
    qer_trans 0.25
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_r_v
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
}

textures/cyberspace/grid_g_v
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
}

textures/cyberspace/grid_b_v
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
}

textures/cyberspace/grid_r_vl
{
    qer_editorimage textures/cyberspace/grid_r.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_g_vl
{
    qer_editorimage textures/cyberspace/grid_g.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_b_vl
{
    qer_editorimage textures/cyberspace/grid_b.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_r_d
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 -1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 -1.0
    }
}

textures/cyberspace/grid_g_d
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0 -1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0 -1.0
    }
}

textures/cyberspace/grid_b_d
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 -1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 -1.0
    }
}

textures/cyberspace/grid_r_dt
{
    qer_editorimage textures/cyberspace/grid_r.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 -1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 -1.0
    }
}

textures/cyberspace/grid_g_dt
{
    qer_editorimage textures/cyberspace/grid_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 -1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 -1.0
    }
}

textures/cyberspace/grid_b_dt
{
    qer_editorimage textures/cyberspace/grid_b.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -0.0 -1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -0.0 -1.0
    }
}

textures/cyberspace/grid_r_dl
{
    qer_editorimage textures/cyberspace/grid_r.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -0.0 -1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -0.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_g_dl
{
    qer_editorimage textures/cyberspace/grid_g.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 -1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_b_dl
{
    qer_editorimage textures/cyberspace/grid_b.tga
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 -1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_r_dtl
{
    qer_editorimage textures/cyberspace/grid_r.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 -1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_g_dtl
{
    qer_editorimage textures/cyberspace/grid_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 -1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_b_dtl
{
    qer_editorimage textures/cyberspace/grid_b.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 0.0 -1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 0.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_r_x
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
}

textures/cyberspace/grid_g_x
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
}

textures/cyberspace/grid_b_x
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
}

textures/cyberspace/grid_r_xt
{
    qer_editorimage textures/cyberspace/grid_r.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/grid_g_xt
{
    qer_editorimage textures/cyberspace/grid_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
}

textures/cyberspace/grid_b_xt
{
    qer_editorimage textures/cyberspace/grid_b.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
}

textures/cyberspace/grid_r_xl
{
    qer_editorimage textures/cyberspace/grid_r.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_g_xl
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_b_xl
{
    qer_editorimage textures/cyberspace/grid_b.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/cyberspace/black.tga
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_r_xtl
{
    qer_editorimage textures/cyberspace/grid_r.tga
    qer_trans 0.25
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm trans
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_r.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_g_xtl
{
    qer_editorimage textures/cyberspace/grid_g.tga
    qer_trans 0.25
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm trans
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_g.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/grid_b_xtl
{
    qer_editorimage textures/cyberspace/grid_b.tga
    qer_trans 0.25
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm trans
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll 1.0 1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 4.0
        tcmod scroll -1.0 -1.0
    }
    {
        map textures/cyberspace/grid_b.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 2.0 0.0 0.5
        tcmod scroll -1.0 -1.0
    }
    {
       map $lightmap
       blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

// glow

textures/cyberspace/glow_r
{
    qer_editorimage textures/cyberspace/red.tga
    qer_trans 0.25
    q3map_surfaceLight 2048
    q3map_lightimage textures/cyberspace/red.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/red.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.5 0.5
    }
}

textures/cyberspace/glow_g
{
    qer_editorimage textures/cyberspace/green.tga
    qer_trans 0.25
    q3map_surfaceLight 2048
    q3map_lightimage textures/cyberspace/green.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/green.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.5 0.5
        //rgbgen const (1 0 0)
    }
}

textures/cyberspace/glow_b
{
    qer_editorimage textures/cyberspace/blue.tga
    qer_trans 0.25
    q3map_surfaceLight 2048
    q3map_lightimage textures/cyberspace/blue.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/blue.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.5 0.5
    }
}

textures/cyberspace/glow_r_i
{
    qer_editorimage textures/cyberspace/red.tga
    qer_trans 0.25
    q3map_surfaceLight 2048
    q3map_lightimage textures/cyberspace/red.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/red.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 0.5
    }
}

textures/cyberspace/glow_g_i
{
    qer_editorimage textures/cyberspace/green.tga
    qer_trans 0.25
    q3map_surfaceLight 2048
    q3map_lightimage textures/cyberspace/green.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/green.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 0.5
    }
}

textures/cyberspace/glow_b_i
{
    qer_editorimage textures/cyberspace/blue.tga
    qer_trans 0.25
    q3map_surfaceLight 2048
    q3map_lightimage textures/cyberspace/blue.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/blue.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 0.5
    }
}

// solid

textures/cyberspace/solid_r
{
    qer_editorimage textures/cyberspace/red.tga
    cull disable
    {
        map textures/cyberspace/red.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/solid_g
{
    qer_editorimage textures/cyberspace/green.tga
    cull disable
    {
        map textures/cyberspace/green.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    } 
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/solid_b
{
    qer_editorimage textures/cyberspace/blue.tga
    cull disable
    {
        map textures/cyberspace/blue.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/solid_r_l
{
    qer_editorimage textures/cyberspace/red.tga
    cull disable
    {
        map textures/cyberspace/red.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/solid_g_l
{
    qer_editorimage textures/cyberspace/green.tga
    cull disable
    {
        map textures/cyberspace/green.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    } 
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/solid_b_l
{
    qer_editorimage textures/cyberspace/blue.tga
    cull disable
    {
        map textures/cyberspace/blue.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.5 1.0
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
       rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/solid_r_i
{
    qer_editorimage textures/cyberspace/red.tga
    cull disable
    {
        map textures/cyberspace/red.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.0 1.0
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/solid_g_i
{
    qer_editorimage textures/cyberspace/green.tga
    cull disable
    {
        map textures/cyberspace/green.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.0 1.0
    } 
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/solid_b_i
{
    qer_editorimage textures/cyberspace/blue.tga
    cull disable
    {
        map textures/cyberspace/blue.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave square 1.0 1.0 0.0 1.0
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

// binary textures

textures/cyberspace/binary_r
{
    qer_editorimage textures/cyberspace/binary_r.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_r.tga
        blendfunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbgen wave triangle 0.5 0.5 0.0 0.5
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_g
{
    qer_editorimage textures/cyberspace/binary_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_g.tga
        blendfunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbgen wave triangle 0.5 0.5 0.0 0.5
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_b
{
    qer_editorimage textures/cyberspace/binary_b.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_b.tga
        blendfunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbgen wave triangle 0.5 0.5 0.0 0.5
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_r_t
{
    qer_editorimage textures/cyberspace/binary_r.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_r.tga
        blendfunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
        rgbgen wave triangle 0.5 0.5 0.0 2.0
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_g_t
{
    qer_editorimage textures/cyberspace/binary_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_g.tga
        blendfunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
        rgbgen wave triangle 0.5 0.5 0.0 2.0
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_b_t
{
    qer_editorimage textures/cyberspace/binary_b.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_b.tga
        blendfunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
        rgbgen wave triangle 0.5 0.5 0.0 2.0
        tcmod scroll 4 0
    }
}

textures/cyberspace/binary_r_2
{
    qer_editorimage textures/cyberspace/binary_r.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_r.tga
        blendfunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbgen wave triangle 0.5 0.5 0.0 1.0
        tcmod scale 4 4
        tcmod scroll 0 4
    }
}

textures/cyberspace/binary_g_2
{
    qer_editorimage textures/cyberspace/binary_g.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_g.tga
        blendfunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbgen wave triangle 0.5 0.5 0.0 1.0
        tcmod scale 4 4
        tcmod scroll 0 4
    }
}

textures/cyberspace/binary_b_2
{
    qer_editorimage textures/cyberspace/binary_b.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/binary_b.tga
        blendfunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbgen wave triangle 0.5 0.5 0.0 1.0
        tcmod scale 4 4
        tcmod scroll 0 4
    }
}

// misc

textures/cyberspace/black
{
    qer_editorimage textures/cyberspace/black.tga
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
}

textures/cyberspace/black_l
{
    qer_editorimage textures/cyberspace/black.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/cyberspace/black.tga
    }
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/black_reflective
{
    qer_editorimage textures/cyberspace/black.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    {
        map textures/cyberspace/black.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/cyberspace/rainbow_p
{
    qer_editorimage textures/cyberspace/rainbow_beam.tga
    qer_trans 0.25
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/red.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.0 0.5
    }
    {
        map textures/cyberspace/blue.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.33 0.5
    }
    {
        map textures/cyberspace/green.tga
        blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1.0 1.0 0.66 0.5
    }
}

textures/cyberspace/rainbow_m
{
    qer_editorimage textures/cyberspace/rainbow_beam.tga
    qer_trans 0.25
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/rainbow_beam.tga
        blendFunc GL_ONE GL_ONE
        tcmod scroll 0.0 0.25
    }
}

textures/cyberspace/slick_nodamage
{
    qer_editorimage textures/cyberspace/slick.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nonsolid
}

textures/cyberspace/caulk
{
    qer_editorimage textures/cyberspace/caulk.tga
    qer_trans 0.25
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/cyberspace/invisible_nonsolid
{
    qer_editorimage textures/cyberspace/caulk.tga
    qer_trans 0.25
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
}

textures/cyberspace/lightmap
{
    qer_editorimage textures/cyberspace/caulk.tga
    surfaceparm trans
    surfaceparm nonsolid
    {
        map $lightmap
        blendFunc GL_ONE GL_ONE
        rgbgen wave sin 0.5 1.0 0.0 0.5
    }
}

textures/cyberspace/noise
{
    qer_editorimage textures/cyberspace/noise1.tga
    qer_trans 0.25
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    {
        map textures/cyberspace/noise1.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
	rgbGen wave square 0.5 1.0 0.0 1.0
	tcMod stretch square 0.25 0.75 0.0 0.25
	tcMod turb 2 2 0.0 2.0
        tcmod scroll 2 2
        tcmod scale 2 2
    }
    {
        map textures/cyberspace/noise1.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
	rgbGen wave square 0.5 1.0 0.5 1.0
	tcMod stretch square 0.25 0.75 0.5 0.25
	tcMod turb 2 2 0.5 2.0
        tcmod scroll 2 2
        tcmod scale 2 2
    }
}

textures/cyberspace/cyberwater
{
    qer_editorimage textures/cyberspace/binary_g.tga
    qer_trans 0.25
    surfaceparm water
    surfaceparm nolightmap
    cull disable
    deformVertexes wave 64 sin .25 .25 0 2.0
    {
        map textures/cyberspace/binary_g.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcmod scale 2.5 2.5
        tcmod scroll .025 .01
        tcmod stretch sin 0.0 2.0 0.0 1.0
    }
    {
        map textures/cyberspace/binary_g.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcmod scale -2.5 -2.5
        tcmod scroll .025 .025
        tcmod stretch sin 0.0 2.0 0.0 1.0
    }
}

textures/cyberspace/cyberrain
{
    qer_editorimage textures/cyberspace/binary_g.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull back
    {
        map textures/cyberspace/binary_g.tga
        blendFunc blend  //blendFunc GL_DST_COLOR GL_ONE
        //rgbgen identity
        tcmod scale 32 32
        tcmod scroll 0 -16
    }
    {
        map textures/cyberspace/binary_g.tga
        blendFunc blend  //blendFunc GL_DST_COLOR GL_ONE
        //rgbgen identity
        tcmod scale 16 16
        tcmod scroll 0 -8
    }
}

textures/cyberspace/cyberfog
{
    qer_editorimage textures/cyberspace/binary_g.tga
    qer_trans 0.25
    surfaceparm fog
    surfaceparm nonsolid
    surfaceparm trans
    fogparms ( 0.0 1.0 0.0 ) 256
    {
        map textures/cyberspace/green.tga
        blendfunc GL_ONE GL_ONE
    }
}

textures/cyberspace/cyberlightning
{
    qer_editorimage textures/cyberspace/green.tga
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    cull disable
    {
        map textures/cyberspace/green.tga
        blendFunc blend
        rgbgen wave sin 1.0 1.0 0.0 5.0
    }
}

textures/cyberspace/gh_logo
{
    qer_editorimage textures/cyberspace/gh_logo.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/gh_logo.tga
        blendfunc GL_ONE GL_ONE
        tcmod scroll 0 -2
    }
}

textures/cyberspace/lain
{
    qer_editorimage textures/cyberspace/lain.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/lain.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
	rgbGen wave sawtooth 0.0 1.0 0.0 0.5
    }
}

textures/cyberspace/out
{
    qer_editorimage textures/cyberspace/out.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/out.tga
        alphaFunc GE128
        blendFunc add
	rgbGen wave sawtooth 0.0 1.0 0.0 0.5
    }
}

textures/cyberspace/real
{
    qer_editorimage textures/cyberspace/real.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/real.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
	rgbGen wave triangle 0.0 1.0 0.0 0.5
    } 
    {
        map textures/cyberspace/real2.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
	rgbGen wave triangle 0.0 1.0 0.5 0.5
    }
}

textures/cyberspace/scream
{
    qer_editorimage textures/cyberspace/scream.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/scream.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
	rgbGen wave triangle 0.0 1.0 0.0 1.0
    }
}

textures/cyberspace/eye
{
    qer_editorimage textures/cyberspace/eye.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/eye.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
	rgbGen wave sin 0.0 1.0 0.5 0.5
    }
}

textures/cyberspace/code
{
    qer_editorimage textures/cyberspace/code.tga
    qer_trans 0.25
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/code.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        tcmod scroll 0 -8
	rgbGen wave square 0.0 1.0 0.5 1.0
    }
}

textures/cyberspace/dream
{
    qer_editorimage textures/cyberspace/dream.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    polygonoffset
    {
        map textures/cyberspace/dream.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
	rgbGen wave triangle 0.0 1.0 0.0 1.0
    }
}

textures/cyberspace/advert
{
    qer_editorimage textures/mission_one_redux/xembie.tga
    {
       animMap 0.25 textures/mission_one_redux/xembie.tga textures/mission_one_redux/ronin.tga textures/mission_one_redux/cron.tga textures/mission_one_redux/specing.tga textures/mission_one_redux/blowfish.tga textures/mission_one_redux/helperbot.tga textures/mission_one_redux/devhc.tga textures/mission_one_redux/woodbury.tga 
    }
    {
       map $lightmap
       blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
    }
}

textures/cyberspace/code_man
{
    qer_editorimage textures/mission_one_redux/code_man.tga
    {
	map textures/mission_one_redux/code_man.tga
	tcMod stretch sin 0.25 0.75 0.0 0.25
	//tcMod scale 0.25 0.25 // Breaks 1.1.0 :/
	tcMod rotate 90
	tcMod turb 1 1 0.25 .125
	tcMod scroll 0.25 0.5
	rgbGen wave Triangle 0.5 0.25 0.0 0.25
    }
    {
   	map $lightmap
    	blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
    }
}

textures/cyberspace/skybox
{
    qer_editorimage textures/cyberspace/grid_g.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_backshader textures/cyberspace/code
    q3map_lightsubdivide 256
    q3map_sun 0.25 0.5 0.25 1.0 0 90
    surfaceparm sky
    skyparms env/cyberspace/sky 128 -
    {

    }
}
